// UNINST.C

// (C) Фролов Г.В., 1995
// Адрес E-mail: frolov@glas.apc.org


int uninstall(void);

void main(void) {

     int  ok;

     ok = uninstall();
     printf("Удаление FOSSIL драйвера из памяти %s.",
               (ok) ? "прошло успешно" : "невозможно" );
}


int uninstall(void) {

     int  ok = 0;

	  asm {

          // определяем адрес MCB блока драйвера

          mov  ax,0E005h
          int  14h

          // в случае ошибки возвращаем управление

			 cmp  bx,0
          je   no_uninstall

          // es = bx

          push bx
          pop  es

          // освобождаем MCB блок используемый драйвером

          mov  ah,49h
          int  21h
          mov  ok,1
	  }
 no_uninstall:


	  return(ok);
}
